logomoneymotion
FraudprotectionRpc
background
moneymotion Docs
moneymotion Docs
Fraud Protection List Rule Hits
POST
/rpc/FraudProtectionListRuleHits
limit?lessThanOrEqualTo(100)

a number less than or equal to 100

Range1 <= value <= 100
offset?greaterThanOrEqualTo(0)

a non-negative number

Range0 <= value
filters?unknown
orderBy?array<object>

Response Body

curl -X POST "https://api.moneymotion.io/rpc/FraudProtectionListRuleHits" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": [
    {
      "id": "string",
      "storeId": "string",
      "checkoutSessionId": "string",
      "fraudScore": 0,
      "outcome": "string",
      "createdAt": "string",
      "merchantRulesTriggered": [
        {
          "checkoutFraudResultId": "string",
          "merchantFraudRuleId": "string",
          "scoreContribution": 0,
          "ruleName": "string",
          "ruleAction": {
            "type": "block"
          },
          "ruleDeletedAt": "string"
        }
      ]
    }
  ],
  "totalCount": 0,
  "hasMore": true
}